%{?nodejs_find_provides_and_requires}

%global packagename jayschema
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 0.3.1
Release: 1%{?dist}.3
Summary: A comprehensive JSON Schema validator for Node.js
License: BSD-3-Clause
URL: https://github.com/natesilva/jayschema
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(when) >= 3.4.6
BuildRequires: npm(when) < 4.0.0
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 1.21.4
BuildRequires: npm(should) >= 4.0.4
%endif

%description
A JSON Schema validator for Node.js.

* Complete validation coverage of JSON Schema Draft v4.
* Optional dynamic loader for referenced schemas (load schemas from a database or the web)
* Useful error messages.
* **NEW:** Supports custom validators for the `format` keword.


%prep
%setup -q -n package
%nodejs_fixdep when '^3.4.6'
%nodejs_fixdep --dev mocha '>=1.21.4'
%nodejs_fixdep --dev should '>=4.0.4'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin lib \
        %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/validate.js \
       %{buildroot}%{_bindir}/jayschema

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# Disable tests that require internet connectivity
mv tests/bootstrap.js tests/bootstrap.js.disabled
mv tests/downloadSchema.js tests/downloadSchema.js.disabled
mv tests/our-tests-async.js tests/our-tests-async.js.disabled
# Run remaining tests
%{_bindir}/mocha tests
%endif


%files
%license LICENSE
%doc *.md examples
%{nodejs_sitelib}/%{packagename}
%{_bindir}/jayschema

%changelog
* Fri Sep 23 2016 Oleg Girko <ol@infoserver.lv> - 0.3.1-1
- Initial package.
